Type to search.

Get execution logs

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve paginated logs for a workflow execution. Optionally filter by a specific step execution.

Required privileges

Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution

Path parameters

executionId string · max length: 255 required

Workflow execution ID

Query parameters

stepExecutionId string

Filter logs by a specific step execution ID.

size number · min: 1 · max: 100 · default: 100

Number of log entries per page.

page number · min: 1 · default: 1

Page number.

sortField string

Field to sort by.

sortOrder enum

Sort order.

Values: asc desc

Response

200

Indicates a successful response

application/json